【Redis集群配置】

2018-01-11 12:46:14来源:oschina作者:陈林_wsfd人点击

分享

【Redis集群配置】在MAC OS上一台服务器。+ 安装Redis: - wget http://download.redis.io/releases/redis-4.0.1.tar.gz - tar xzf redis-4.0.1.tar.gz - cd redis-4.0.1 - make+ 需要修改的配置(redis.conf): - port 7000- cluster-enable yes//开启集群模式 - cluster-config-file nodes-7000.conf //设定保存节点配置的文件,它由Redis集群启动时创建,并在有需要时自动更新。 - cluster-node-timeout 5000 //节点之间通信超时时间5s - appendonly yes+ 创建工作空间: - mkdir cluster-test - cd cluster-test - mkdir 7000 7001 7002 7003 7004 7005 - 将redis.conf文件拷贝到每个文件夹下,修改配置,port对应每个文件夹的名字+ 启动redis: - /redis/src/redis-server cluster-test/7000/redis.conf+ 搭建集群: - ./redis-trib.rb create --replicas 1 127.0.0.1:7000 127.0.0.1:7001 127.0.0.1:7002 127.0.0.1:7003 127.0.0.1:7004 127.0.0.1:7005注:redis-trib.rb文件执行需要ruby环境,如果没有安装ruby则自行安装ruby,MAC上自带ruby。 redis-trib.rb文件执行需要ruby >= 2.2+ 更新ruby到2.4版本 - 安装rvm(rvm:Ruby Version Manager,Ruby版本管理器): curl -L get.rvm.io | bash -s stable- source ~/.bashrc- source ~/.bash_profile- 测试rvm是否安装: rvm -v- 列出ruby所有版本: rvm list known- 安装2.4版本: rvm install 2.4


如果在执行redis-trib.rb的时候报这个错误: /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- redis (LoadError) from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require' from ./redis-trib.rb:25:in `

' 说明ruby没有redis这个包,执行:gem install redis 即可。

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台